CURLOPT_PROGRESSDATA(3)

NAME
CURLOPT_PROGRESSDATA - custom pointer passed to the progress callback

SYNOPSIS
#include <curl/curl.h> CURLcode curl_easy_setopt(CURL *handle, CURLOPT_PROGRESSDATA, void *pointer);

DESCRIPTION
Pass a pointer that will be untouched by libcurl and passed as the first argument in the progress callback set with CURLOPT_PROGRESSFUNCTION(3).

DEFAULT
The default value of this parameter is NULL.

PROTOCOLS
All

EXAMPLE
https://curl.haxx.se/libcurl/c/progressfunc.html

AVAILABILITY
Always

RETURN VALUE
Returns CURLE_OK

SEE ALSO
CURLOPT_PROGRESSFUNCTION(3), CURLOPT_XFERINFOFUNCTION(3),